# pandas.core.resample.Resampler.asfreq

`Resampler.``asfreq`(fill_value=None)

  Return the values at the new freq, essentially a reindex.

  Parameters:

  fill_value : scalar, optional

  > Value to use for missing values, applied during upsampling (note this does not fill NaNs that already were present).

  > New in version 0.20.0.

  Returns:

  DataFrame or Series

  > Values at the specified freq.

  See also

  `Series.asfreq`, `DataFrame.asfreq`

Scroll To Top